For the complete documentation index, see llms.txt. This page is also available as Markdown.

API tokens

Learn about creating and managing API tokens in the SoftwareOne Marketplace.

The Marketplace Platform uses API tokens to authenticate requests to the REST API.

Your API token must be included in the Authorization HTTP header with the Bearer prefix for authentication. For example, the following request could be used to retrieve a list of buyers:

GET https://api.platform.softwareone.com/public/v1/accounts/buyers
Authorization: Bearer {TOKEN_VALUE}

Your API keys have permissions assigned to them, so keep them secure. Do not share your secret API keys in public areas, such as GitHub or client-side code.

All API requests must be made over HTTPS. Requests sent over HTTP or without authentication will fail.

API tokens page

The API tokens page lets account administrators create, view, edit, delete, enable, and disable API tokens.

To open the page, choose Settings > API tokens from the main menu.

Use the API tokens page to view and manage tokens.

On the API tokens page, you can view details for each token, including the token name, creation date, status, and more.

You can also select a token to view detailed information organized across several tabs. These details include the token endpoint and secret, event history, and other token‑specific information. For details, see View API tokens.

Token statesCreate API tokenView API tokensEdit API tokenCopy API tokenDelete API tokenEnable or disable API token

Last updated

Was this helpful?